Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.siliconflow.com/v1/user/info \ --header 'Authorization: Bearer <token>'
import requestsurl = "https://api.siliconflow.com/v1/user/info"headers = {"Authorization": "Bearer <token>"}response = requests.get(url, headers=headers)print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};fetch('https://api.siliconflow.com/v1/user/info', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "code": 20000, "message": "OK", "status": true, "data": { "id": "userid", "name": "username", "image": "user_avatar_image_url", "email": "user_email_address", "isAdmin": false, "balance": "0.88", "status": "normal", "introduction": "", "role": "", "chargeBalance": "88.00", "totalBalance": "88.88" } }
"<string>"
Get user information including balance and status
Use the following format for authentication: Bearer
Successful response
20000
"OK"
true
Show child attributes